## idzebra 2.2.3

=== debian/changelog ===
idzebra (2.2.3-1) unstable; urgency=medium

  * New upstream version:
    - Example MARC XML files updated to the latest versions published by
      the Library of Congress.
    - Various bug fixes.
  * debian/control:
    - Raise Standards-Version to 4.6.0 from 4.5.0 (no changes needed).
    - Update package descriptions.
    - Install idzebra-2.0-examples with the idzebra-2.0 metapackage.
  * debian/copyright: Update for idzebra 2.2.3.
  * debian/gbp.conf: Use DEP-14 branch naming.
  * debian/rules:
    - Remove the dh_installdocs-indep override.
    - Don't install the upstream ChangeLog.
  * debian/source/lintian-overrides: Silence some line-length warnings.
  * debian/source/options: Ignore compile-time changes to cql2pqf.txt.
  * debian/watch: Update source URL and use string substitutions.
  * idzebra-2.0-doc: Don't install the documentation in a sub-directory.
  * libidzebra-2.0-dev: Install the upstream NEWS and README files.
  * Remove legacy preinst files (idzebra-2.0-utils, libidzebra-2.0-dev).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 18 Oct 2021 21:32:16 +1100
