=== debian/control ===
Source: idzebra
Priority: optional
Section: text
Maintainer: Vincent Danjean <vdanjean@debian.org>
Uploaders: Hugh McMaster <hugh.mcmaster@outlook.com>
Standards-Version: 4.6.0
Build-Depends:
 debhelper-compat (= 13),
 autoconf,
 automake,
 docbook-dsssl,
 docbook-xml,
 docbook-xsl,
 libbz2-dev,
 libexpat1-dev,
 libncurses-dev,
 libreadline-dev,
 libtool,
 libxslt1-dev,
 libyaz-dev (>= 5.29.0),
 pkg-config,
 tcl-dev,
 xsltproc,
 zlib1g-dev | libz-dev
Vcs-Browser: https://salsa.debian.org/debian/idzebra
Vcs-Git: https://salsa.debian.org/debian/idzebra.git
Homepage: https://www.indexdata.com/resources/software/zebra/
Rules-Requires-Root: no

Package: idzebra-2.0
Architecture: any
Depends:
 idzebra-2.0-common,
 idzebra-2.0-doc,
 idzebra-2.0-examples,
 idzebra-2.0-utils (= ${binary:Version}),
 libidzebra-2.0-dev (= ${binary:Version}),
 libidzebra-2.0-modules (= ${binary:Version}),
 ${misc:Depends}
Description: IDZebra metapackage (the works)
 This metapackage installs all the necessary packages to start
 working with IDZebra - including utility programs, development libraries,
 documentation and modules.
 .
 IDZebra is a high-performance, general-purpose structured text indexing
 and retrieval engine. It reads structured records in a variety of input
 formats (eg. email, XML, MARC) and allows access to them through exact
 boolean search expressions and relevance-ranked free-text queries.

Package: idzebra-2.0-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: IDZebra common files
 This package includes common essential IDZebra configuration files.
 .
 IDZebra is a high-performance, general-purpose structured text indexing
 and retrieval engine. It reads structured records in a variety of input
 formats (eg. email, XML, MARC) and allows access to them through exact
 boolean search expressions and relevance-ranked free-text queries.

Package: idzebra-2.0-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: IDZebra documentation
 This package includes documentation for IDZebra in PDF and HTML.
 .
 IDZebra is a high-performance, general-purpose structured text indexing
 and retrieval engine. It reads structured records in a variety of input
 formats (eg. email, XML, MARC) and allows access to them through exact
 boolean search expressions and relevance-ranked free-text queries.

Package: idzebra-2.0-examples
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: IDZebra example configurations
 This package includes examples for indexing various data formats,
 such as OAI-PMH, Marc21, and MarcXML.
 .
 IDZebra is a high-performance, general-purpose structured text indexing
 and retrieval engine. It reads structured records in a variety of input
 formats (eg. email, XML, MARC) and allows access to them through exact
 boolean search expressions and relevance-ranked free-text queries.

Package: idzebra-2.0-utils
Architecture: any
Depends: libidzebra-2.0-0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: idzebra-2.0-common
Suggests: libidzebra-2.0-modules
Description: IDZebra utility programs
 This package contains IDZebra utilities such as the zebraidx indexer
 utility and the zebrasrv server.
 .
 IDZebra is a high-performance, general-purpose structured text indexing
 and retrieval engine. It reads structured records in a variety of input
 formats (eg. email, XML, MARC) and allows access to them through exact
 boolean search expressions and relevance-ranked free-text queries.

Package: libidzebra-2.0-0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libidzebra-2.0
Replaces: libidzebra-2.0
Description: IDZebra libraries
 This package contains all run-time libraries for IDZebra.
 .
 IDZebra is a high-performance, general-purpose structured text indexing
 and retrieval engine. It reads structured records in a variety of input
 formats (eg. email, XML, MARC) and allows access to them through exact
 boolean search expressions and relevance-ranked free-text queries.

Package: libidzebra-2.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libidzebra-2.0-0 (= ${binary:Version}),
 libexpat1-dev,
 libicu-dev,
 libxslt1-dev,
 libyaz-dev (>= 5.29.0),
 tcl-dev,
 ${misc:Depends}
Description: IDZebra development
 This package contains development files for IDZebra, such as libraries
 and header files.
 .
 IDZebra is a high-performance, general-purpose structured text indexing
 and retrieval engine. It reads structured records in a variety of input
 formats (eg. email, XML, MARC) and allows access to them through exact
 boolean search expressions and relevance-ranked free-text queries.

Package: libidzebra-2.0-modules
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 libidzebra-2.0-mod-alvis,
 libidzebra-2.0-mod-dom,
 libidzebra-2.0-mod-grs-marc,
 libidzebra-2.0-mod-grs-regx,
 libidzebra-2.0-mod-grs-xml,
 libidzebra-2.0-mod-safari,
 libidzebra-2.0-mod-text,
 ${misc:Depends}
Description: IDZebra modules
 This metapackage installs all base IDZebra filter modules.
 .
 IDZebra is a high-performance, general-purpose structured text indexing
 and retrieval engine. It reads structured records in a variety of input
 formats (eg. email, XML, MARC) and allows access to them through exact
 boolean search expressions and relevance-ranked free-text queries.

Package: libidzebra-2.0-mod-alvis
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: IDZebra 'alvis' filter (XSLT filter for XML)
 This package includes the 'alvis' filter, which uses libxslt to
 transform XML records by XSLT into XML indexable records.
 DEPRECATED, it is better to use the libidzebra-2.0-mod-dom indexing filter.
 .
 IDZebra is a high-performance, general-purpose structured text indexing
 and retrieval engine. It reads structured records in a variety of input
 formats (eg. email, XML, MARC) and allows access to them through exact
 boolean search expressions and relevance-ranked free-text queries.

Package: libidzebra-2.0-mod-dom
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: IDZebra 'dom' filter (XML DOM internal document model with XSLT)
 This package includes the 'dom' filter, which uses libxslt to
 transform XML records by XSLT into XML indexable records. It can read and
 index any binary MARC syntax and is therefore a modern replacement
 for 'alvis' and the family of 'grs' filters.
 .
 IDZebra is a high-performance, general-purpose structured text indexing
 and retrieval engine. It reads structured records in a variety of input
 formats (eg. email, XML, MARC) and allows access to them through exact
 boolean search expressions and relevance-ranked free-text queries.

Package: libidzebra-2.0-mod-grs-marc
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: IDZebra 'grs.marc' filterc (ISO2709 MARC reader)
 This package includes the 'grs.marc' and 'grs.marcxml' filters, which
 allow IDZebra to read MARC records based on ISO2709.
 DEPRECATED, it is better to use the libidzebra-2.0-mod-dom indexing filter.
 .
 IDZebra is a high-performance, general-purpose structured text indexing
 and retrieval engine. It reads structured records in a variety of input
 formats (eg. email, XML, MARC) and allows access to them through exact
 boolean search expressions and relevance-ranked free-text queries.

Package: libidzebra-2.0-mod-grs-regx
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: IDZebra 'grs.regx' and 'grs.tcl' filters
 This package includes the 'grs.regx' and 'grs.tcl' filters.
 .
 IDZebra is a high-performance, general-purpose structured text indexing
 and retrieval engine. It reads structured records in a variety of input
 formats (eg. email, XML, MARC) and allows access to them through exact
 boolean search expressions and relevance-ranked free-text queries.

Package: libidzebra-2.0-mod-grs-xml
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: IDZebra 'grs.xml' filter (XML filter)
 This package includes the 'grs.xml' filter, which uses Expat to
 parse records in XML and turn them into IDZebra's internal grs node.
 DEPRECATED, it is better to use the libidzebra-2.0-mod-dom indexing filter.
 .
 IDZebra is a high-performance, general-purpose structured text indexing
 and retrieval engine. It reads structured records in a variety of input
 formats (eg. email, XML, MARC) and allows access to them through exact
 boolean search expressions and relevance-ranked free-text queries.

Package: libidzebra-2.0-mod-safari
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: IDZebra 'safari' filter (DBC)
 This package includes the 'safari' filter.
 .
 IDZebra is a high-performance, general-purpose structured text indexing
 and retrieval engine. It reads structured records in a variety of input
 formats (eg. email, XML, MARC) and allows access to them through exact
 boolean search expressions and relevance-ranked free-text queries.

Package: libidzebra-2.0-mod-text
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: IDZebra filter text
 This package includes a very simple text filter, which indexes
 all tokens in simple text.
 .
 IDZebra is a high-performance, general-purpose structured text indexing
 and retrieval engine. It reads structured records in a variety of input
 formats (eg. email, XML, MARC) and allows access to them through exact
 boolean search expressions and relevance-ranked free-text queries.
