=== debian/tests/control ===
Tests: libidzebra-2.0-dev
Depends: build-essential, libidzebra-2.0-dev, pkg-config
Restrictions: allow-stderr, superficial
