=== debian/watch ===
version=4

https://ftp.indexdata.com/pub/@PACKAGE@/ @PACKAGE@-(.*)@ARCHIVE_EXT@
