## idzebra 2.2.5

=== debian/changelog ===
idzebra (2.2.5-2) unstable; urgency=medium

  * debian/patches: Temporarily disable 'inserttest' until build issues
    have been investigated and resolved.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 27 Jun 2022 22:47:07 +1000

idzebra (2.2.5-1) unstable; urgency=medium

  * New upstream version 2.2.5:
    - Fix buffer overflow in dictionary insert handling, which could lead to
      assert failures in some cases.
  * debian/watch: Use 'zebra' instead of 'idzebra' in source URL.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sat, 25 Jun 2022 22:36:25 +1000

idzebra (2.2.4-1) unstable; urgency=medium

  * New upstream version 2.2.4.
  * debian/copyright: Update for 2022.
  * debian/control: Raise Standards-Version to 4.6.1 (no changes needed).
  * libidzebra-2.0-dev: Stop installing the IDZebra m4 macro.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 13 Jun 2022 21:43:18 +1000
