=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: text
 Maintainer: Vincent Danjean <vdanjean@debian.org>
 Uploaders: Hugh McMaster <hugh.mcmaster@outlook.com>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Build-Depends:
  debhelper-compat (= 13),
  autoconf,
