## idzebra 2.2.6

=== debian/changelog ===
idzebra (2.2.6-2) unstable; urgency=medium

  * debian/patches: Disable 'inserttest' again.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Thu, 29 Dec 2022 22:24:49 +1100

idzebra (2.2.6-1) unstable; urgency=medium

  * New upstream version.
  * debian/control:
    + Raise Standards-Version to 4.6.2 (no changes needed).
    + Update package descriptions.
    + Add missing ${source:Version} variables.
  * debian/patches: Re-enable 'inserttest'.
  * lintian-overrides: Add source-is-missing tag and comments.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Thu, 29 Dec 2022 21:35:01 +1100
