## idzebra 2.2.7

=== debian/changelog ===
idzebra (2.2.7-2) unstable; urgency=medium

  * Acknowledge 64-bit time_t transition NMU.
    Thanks to Graham Inggs and Lukas Märdian for their work.
  * debian/control:
    + Update my email address.
    + Build-Depend on pkgconf instead of pkg-config.
    + Raise Standards-Version to 4.7.0 (no changes needed).
  * debian/copyright:
    + Extend my copyright to 2024.
    + Update X Consortium licence.
  * debian/patches: Add missing stdlib.h inclusions (Closes: #1073354).
  * debian/tests/control: Depend on pkgconf instead of pkg-config.

 -- Hugh McMaster <hmc@debian.org>  Tue, 25 Jun 2024 21:45:06 +1000

idzebra (2.2.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062347

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 10:44:37 +0000

idzebra (2.2.7-1) unstable; urgency=medium

  * New upstream version: Various buffer overflow fixes.
  * debian/copyright: Update for 2023.
  * idzebra-2.0-common: Update Lintian override syntax.
  * libidzebra-2.0-0: Update symbols file.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 20 Feb 2023 23:29:42 +1100
