## idzebra 2.2.8

=== debian/changelog ===
idzebra (2.2.8-2) unstable; urgency=medium

  * debian/control:
    - Explicitly (Build-)Depend on libcrypt-dev (Closes: #1102980, #1107018).
    - Raise Standards-Version to 4.7.2 (no changes needed).
    - Drop Rules-Requires-Root: no.
    - Use ${source:*} replacement where possible.
  * debian/copyright:
    - Replace FSF address with upstream URL.
    - Formatting update.
  * debian/rules: Drop dh_makeshlibs override.
  * debian/watch: Convert to Version 5.

 -- Hugh McMaster <hmc@debian.org>  Tue, 04 Nov 2025 16:22:44 +1100

idzebra (2.2.8-1) unstable; urgency=medium

  * New upstream version 2.2.8.
  * debian/control:
    + Remove dpkg-dev from Build-Depends list.
    + Drop versioned dependency on libyaz-dev.
  * debian/copyright: Update for 2025.
  * debian/patches:
    + Drop stdlib.patch (no longer needed).
    + Disable inserttest.patch.
  * Drop Lintian override for libidzebra-2.0-0t64.

 -- Hugh McMaster <hmc@debian.org>  Wed, 12 Feb 2025 22:32:16 +1100
