=== debian/control ===
Source: idzebra
Priority: optional
Section: text
Maintainer: Vincent Danjean <vdanjean@debian.org>
Uploaders: Hugh McMaster <hmc@debian.org>
Standards-Version: 4.7.2
Build-Depends:
 debhelper-compat (= 13),
 autoconf,
 automake,
 docbook-dsssl,
 docbook-xml,
 docbook-xsl,
 libbz2-dev,
 libcrypt-dev,
 libexpat1-dev,
 libncurses-dev,
 libreadline-dev,
 libtool,
 libxslt1-dev,
 libyaz-dev,
 pkgconf,
 tcl-dev,
 xsltproc,
 zlib1g-dev | libz-dev
Vcs-Browser: https://salsa.debian.org/debian/idzebra
Vcs-Git: https://salsa.debian.org/debian/idzebra.git
Homepage: https://www.indexdata.com/resources/software/zebra/
Description: IDZebra
 IDZebra is a high-performance, general-purpose structured text indexing
 and retrieval engine. It reads structured records in a variety of input
 formats (e.g. email, XML, MARC) and allows access to them through exact
 boolean search expressions and relevance-ranked free-text queries.

Package: idzebra-2.0
Architecture: any
Depends:
 idzebra-2.0-common (= ${source:Version}),
 idzebra-2.0-doc (= ${source:Version}),
 idzebra-2.0-examples (= ${source:Version}),
 idzebra-2.0-utils (= ${binary:Version}),
 libidzebra-2.0-dev (= ${binary:Version}),
 libidzebra-2.0-modules (= ${binary:Version}),
 ${misc:Depends}
Description: ${source:Synopsis} metapackage (the works)
 ${source:Extended-Description}
 .
 This metapackage installs all necessary packages to start working
 with IDZebra - including utility programs, development libraries,
 documentation and modules.

Package: idzebra-2.0-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: ${source:Synopsis} common files
 ${source:Extended-Description}
 .
 This package includes common IDZebra configuration files.

Package: idzebra-2.0-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: ${source:Synopsis} documentation
 ${source:Extended-Description}
 .
 This package includes HTML documentation for IDZebra.

Package: idzebra-2.0-examples
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: ${source:Synopsis} example configurations
 ${source:Extended-Description}
 .
 This package includes examples for indexing various data formats,
 such as OAI-PMH, Marc21, and MarcXML.

Package: idzebra-2.0-utils
Architecture: any
Depends: libidzebra-2.0-0t64 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: idzebra-2.0-common
Suggests: libidzebra-2.0-modules
Description: ${source:Synopsis} utility programs
 ${source:Extended-Description}
 .
 This package contains IDZebra utilities such as the 'zebraidx' indexer
 utility and the 'zebrasrv' server.

Package: libidzebra-2.0-0t64
Provides: ${t64:Provides}
Breaks: libidzebra-2.0-0 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libidzebra-2.0
Replaces: libidzebra-2.0-0, libidzebra-2.0
Description: ${source:Synopsis} libraries
 ${source:Extended-Description}
 .
 This package contains all run-time libraries for IDZebra.

Package: libidzebra-2.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libcrypt-dev,
 libexpat1-dev,
 libicu-dev,
 libidzebra-2.0-0t64 (= ${binary:Version}),
 libxslt1-dev,
 libyaz-dev,
 tcl-dev,
 ${misc:Depends}
Description: ${source:Synopsis} development
 ${source:Extended-Description}
 .
 This package contains development files for IDZebra, such as libraries
 and header files.

Package: libidzebra-2.0-modules
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 libidzebra-2.0-mod-alvis,
 libidzebra-2.0-mod-dom,
 libidzebra-2.0-mod-grs-marc,
 libidzebra-2.0-mod-grs-regx,
 libidzebra-2.0-mod-grs-xml,
 libidzebra-2.0-mod-safari,
 libidzebra-2.0-mod-text,
 ${misc:Depends}
Description: ${source:Synopsis} modules
 ${source:Extended-Description}
 .
 This metapackage installs all base IDZebra filter modules.

Package: libidzebra-2.0-mod-alvis
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ${source:Synopsis} 'alvis' filter (XSLT filter for XML)
 ${source:Extended-Description}
 .
 This package includes the 'alvis' filter, which uses libxslt to
 transform XML records by XSLT into XML indexable records.
 DEPRECATED, it is better to use the libidzebra-2.0-mod-dom indexing filter.

Package: libidzebra-2.0-mod-dom
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ${source:Synopsis} 'dom' filter (XML DOM internal document model with XSLT)
 ${source:Extended-Description}
 .
 This package includes the 'dom' filter, which uses libxslt to
 transform XML records by XSLT into XML indexable records. It can read
 and index any binary MARC syntax and is therefore a modern replacement
 for 'alvis' and the family of 'grs' filters.

Package: libidzebra-2.0-mod-grs-marc
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ${source:Synopsis} 'grs.marc' filter (ISO2709 MARC reader)
 ${source:Extended-Description}
 .
 This package includes the 'grs.marc' and 'grs.marcxml' filters, which
 allow IDZebra to read MARC records based on ISO2709.
 DEPRECATED, it is better to use the libidzebra-2.0-mod-dom indexing filter.

Package: libidzebra-2.0-mod-grs-regx
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ${source:Synopsis} 'grs.regx' and 'grs.tcl' filters
 ${source:Extended-Description}
 .
 This package includes the 'grs.regx' and 'grs.tcl' filters.

Package: libidzebra-2.0-mod-grs-xml
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ${source:Synopsis} 'grs.xml' filter (XML filter)
 ${source:Extended-Description}
 .
 This package includes the 'grs.xml' filter, which uses Expat to
 parse records in XML and turn them into IDZebra's internal grs node.
 DEPRECATED, it is better to use the libidzebra-2.0-mod-dom indexing filter.

Package: libidzebra-2.0-mod-safari
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ${source:Synopsis} 'safari' filter (DBC)
 ${source:Extended-Description}
 .
 This package includes the 'safari' filter.

Package: libidzebra-2.0-mod-text
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ${source:Synopsis} 'text' filter
 ${source:Extended-Description}
 .
 This package includes a very simple text filter, which indexes
 all tokens in simple text.
