=== debian/watch ===
Version: 5

Source: https://ftp.indexdata.com/pub/zebra/
Matching-Pattern: @PACKAGE@-([\d\.]+)@ARCHIVE_EXT@
