## idzebra 2.2.10

=== debian/changelog ===
idzebra (2.2.10-2) unstable; urgency=medium

  * debian/tests/libidzebra-2.0-dev: Fix autopkgtest assertion failure by
    comparing version strings, not lengths.

 -- Hugh McMaster <hmc@debian.org>  Tue, 10 Feb 2026 21:00:04 +1100

idzebra (2.2.10-1) unstable; urgency=medium

  * New upstream version 2.2.10.
  * debian/control:
    - Drop Priority field.
    - Build-Depends: drop libncurses-dev; add libgnutls28-dev and libxml2-dev.
    - Raise Standards-Version to 4.7.3 (no changes needed).
    - Update libidzebra-2.0-dev dependencies.
  * debian/copyright: Update for IDZebra 2.2.10 and 2026.
  * debian/rules: Drop dh_makeshlibs override.

 -- Hugh McMaster <hmc@debian.org>  Mon, 09 Feb 2026 15:40:02 +1100
