=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: idzebra
-Priority: optional
 Section: text
 Maintainer: Vincent Danjean <vdanjean@debian.org>
 Uploaders: Hugh McMaster <hmc@debian.org>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends:
  debhelper-compat (= 13),
  autoconf,
@@ -14,9 +13,10 @@
  libbz2-dev,
  libcrypt-dev,
  libexpat1-dev,
- libncurses-dev,
+ libgnutls28-dev,
  libreadline-dev,
  libtool,
+ libxml2-dev,
  libxslt1-dev,
  libyaz-dev,
  pkgconf,
@@ -108,13 +108,16 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ libbz2-dev,
  libcrypt-dev,
  libexpat1-dev,
  libicu-dev,
  libidzebra-2.0-0t64 (= ${binary:Version}),
+ libxml2-dev,
  libxslt1-dev,
  libyaz-dev,
  tcl-dev,
+ zlib1g-dev | libz-dev,
  ${misc:Depends}
 Description: ${source:Synopsis} development
  ${source:Extended-Description}
