=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,3 @@
 override_dh_installexamples-indep:
 	dh_installexamples -p idzebra-2.0-examples --doc-main-package=idzebra-2.0
 	dh_installexamples --remaining-packages
-
-override_dh_makeshlibs:
-	dh_makeshlibs -a -V 'libidzebra-2.0-0 (>= $(dep_ver))' -X mod-
